Wallets, tokens & networks
Set Token Wallet Refs Distribution
Replaces an employee stablecoin allocation set after cutoff and terms checks, writing agreements, history, HRIS sync.
POSThttps://api.toku.com/hris/set-token-wallet-refs-distribution
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/set-token-wallet-refs-distribution' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"roleInOrgID": "string",
"tokenWalletRefsConfig": [
{
"walletID": "string",
"distRatio": 0,
"distributionType": "PERCENTAGE",
"fixedAmount": 0
}
],
"isContractorStablecoinPayroll": true,
"hasAcceptedTerms": true,
"userAgent": "string"
}'200 response
{
"success": true,
"message": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
roleInOrgIDstringrequiredtokenWalletRefsConfigobject[]requiredShow child attributes
walletIDstringrequireddistRationumberrequireddistributionTypestringAvailable options: PERCENTAGE, FIXED_AMOUNT
fixedAmountnumberisContractorStablecoinPayrollbooleanhasAcceptedTermsbooleanuserAgentstringResponse
200Successful response
successbooleanrequiredmessagestring400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits